Page MenuHomePhabricator

Use cxpublish api only for publish and use cxsave api for save
Closed, ResolvedPublic

Description

Currently cxpublish API takes care of saving the translations, depending on the status parameter. Now we have cxsave API as well and we need to migrate all translation save related features to cxsave API

Event Timeline

santhosh created this task.Feb 3 2016, 10:49 AM
santhosh updated the task description. (Show Details)
santhosh raised the priority of this task from to High.
santhosh claimed this task.
santhosh added subscribers: Unhammer, He7d3r, KuboF and 12 others.

Change 268092 had a related patch set uploaded (by Santhosh):
WIP: Move save functionality from cxpublish to cxsave API

https://gerrit.wikimedia.org/r/268092

KuboF removed a subscriber: KuboF.Feb 6 2016, 4:33 PM
Amire80 moved this task from Needs Triage to CX8 on the ContentTranslation board.Feb 8 2016, 9:19 AM
Arrbee set Security to None.
Nikerabbit moved this task from Backlog to In Review on the LE-CX8-Sprint 3 board.Feb 16 2016, 6:57 AM
Nikerabbit moved this task from In Review to Blocked on the LE-CX8-Sprint 3 board.Feb 24 2016, 1:24 PM

Change 268092 merged by jenkins-bot:
Move save functionality from cxpublish to cxsave API

https://gerrit.wikimedia.org/r/268092

Nikerabbit moved this task from Blocked to QA on the LE-CX8-Sprint 3 board.Feb 25 2016, 3:25 PM
Arrbee closed this task as Resolved.Mar 4 2016, 7:35 AM
Arrbee moved this task from QA to Done on the LE-CX8-Sprint 3 board.